Bug 1119742 - swift cli shows unnecessary output
Summary: swift cli shows unnecessary output
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-swiftclient
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Pete Zaitcev
QA Contact: nlevinki
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 12:11 UTC by nlevinki
Modified: 2017-07-10 12:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-25 13:01:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1342084 None None None Never

Description nlevinki 2014-07-15 12:11:50 UTC
Description of problem:
Whe we run swift cli commands we get on the output unnecessary information, for example:
# swift stat
/usr/lib/python2.6/site-packages/swiftclient/version.py:15: UserWarning: Module backports was already imported from /usr/lib64/python2.6/site-packages/backports/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources
       Account: AUTH_c5f62f1ea9214354b19b39d161d8f0e6
    Containers: 2
       Objects: 2
         Bytes: 999292928
 Accept-Ranges: bytes
   X-Timestamp: 1405420434.18035
    X-Trans-Id: txae06981d61074e86b7427-0053c508a2
  Content-Type: text/plain; charset=utf-8



Version-Release number of selected component (if applicable):
# rpm -qa | grep swift
openstack-swift-account-1.13.1-2.el6ost.noarch
openstack-swift-object-1.13.1-2.el6ost.noarch
openstack-swift-1.13.1-2.el6ost.noarch
openstack-swift-plugin-swift3-1.7-3.el6ost.noarch
python-swiftclient-2.1.0-1.el6ost.noarch
openstack-swift-proxy-1.13.1-2.el6ost.noarch
openstack-swift-container-1.13.1-2.el6ost.noarch


How reproducible:
100%

Steps to Reproduce:
1.from the cli type swift commands like "swift stat"
2.
3.

Actual results:


Expected results:
this lines should be removed.
/usr/lib/python2.6/site-packages/swiftclient/version.py:15: UserWarning: Module backports was already imported from /usr/lib64/python2.6/site-packages/backports/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path


Additional info:

Comment 3 Sergey Gotliv 2015-08-25 13:01:39 UTC
Please, reopen this bug if still reproducible.


Note You need to log in before you can comment on or make changes to this bug.